Switch from $stdlogo to static/images/project logos at Wikiversities and Wikinews
Closed, ResolvedPublic

Description

It would be great if all project has its logos managed the same way. Currently the main way is to have all logos in operations/mediawiki-config/static/images/project-logos/$wikicode.png. I'm going to convert all $stdlogos to static/* logos therefore.

Related Objects

Urbanecm created this task.Apr 2 2017, 12:52 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 2 2017, 12:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as Low priority.Apr 2 2017, 12:56 PM
Urbanecm added a project: Goal.

Change 346047 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Switch from $stdlogo to static resources

https://gerrit.wikimedia.org/r/346047

Adding User-notice as the wikis should be notified something is going to be changed and for example anniversary logo should be requested at Phabricator after the merge. It'll be great if some kind of remembering notice can be posted at all wikis. Below is a draft of that notice.

  • Notice for Wikiversities and Wikinews (there will be change)
    • Your wiki won't have its logo served from [[File:Wiki.png]] since (date) but from configuration directly. If you wish to have a temporary anniversary logo or permanent logo change, please request it at Phabricator, see [[:m:Requesting_wiki_configuration_changes]]
  • Notice for all other projects (no change, just a remember)
    • We'd like to inform your community that change of [[File:Wiki.png]] has no effect in the logo as it is served from configuration. If you wish to have a temporary anniversary logo or permanent logo change, please request it at Phabricator, see [[:m:Requesting_wiki_configuration_changes]]

Change 346054 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Convert $stdlogo to static/images/project-logos resources at Wikinews

https://gerrit.wikimedia.org/r/346054

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Apr 2 2017, 7:33 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Urbanecm removed a project: Goal.Apr 2 2017, 7:40 PM
Johan added a subscriber: Johan.Apr 6 2017, 8:59 PM

@Urbanecm Thanks! Can you ping me once we have a timeline for this?

@Johan Hi Johan, I've scheduled the changes for April 13 13:00-14:00 UTC (EU SWAT). Would this timeframe be fine for you? If you need later deploy the first next possible window is at April 24, the same time due to datacenter switch. Please ping me if you need the later deploy window.

@Urbanecm Sorry for not giving context. I have absolutely no opinion on deploy times, I simply wanted to know for Tech News purposes, since you added the user-notice tag. (:

I meant do you need more time for preparing Tech News about it? But you may treat the time above as the final one.

Change 346054 merged by jenkins-bot:
[operations/mediawiki-config@master] Convert $stdlogo to static/images/project-logos resources at Wikinews

https://gerrit.wikimedia.org/r/346054

Change 346047 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch from $stdlogo to static resources at Wikiversities

https://gerrit.wikimedia.org/r/346047

Urbanecm closed this task as Resolved.Apr 13 2017, 1:33 PM

The change is in effect now. @Johan Would you make the user notice for me?

Johan added a comment.Apr 13 2017, 1:59 PM

This has been added to the Tech News draft. Thank you very much for writing a few sentences for inclusion in Tech News, that makes it much easier!